<?php

namespace Shop\Controller;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Container\ContainerInterface;
use Shop\DB\Order;

class ClientCreate
{
	protected $container;
	protected $twig;
	protected $vars;

	public function __construct(ContainerInterface $container) {
		$this->container = $container;
	}

	public function createGet(ServerRequestInterface $request, ResponseInterface $response, array $args) {
		$container = $this->container;
		$twig = $container->get('twig');

		$db = new Order($this->container);
		$client = $db->getClient($args['client']);


		$vars = ["client" => $client, "args" => $args['client']];

		$a = $twig->render('clientcreate.html.twig', $vars);
		$response->getBody()->write($a);
		return $response;
		


	}

	public function createPost(ServerRequestInterface $request, ResponseInterface $response, array $args) {
		$container = $this->container;
		$twig = $container->get('twig');

		$ref = $request->getParsedBody()['reference'];
		$db2 = $this->container->get('db');
		$sql = "insert into orders (reference, customer_id, vat, subtotal, total) values ('" . $ref . "', " . $args['client'] . ",0,0,0)";
		$db2->exec($sql);
		return $response->withHeader('Location', '/orders/' . $args['client']);
	}
}

// if ($request->getMethod() == "GET") {
// 	// $db2 = new myDB();
// 	// $stmt2 = $db2->prepare("SELECT * FROM clients WHERE id = " . $args['client']);
// 	// $res2 = $stmt2->execute();
// 	// $a = $res2->fetchArray(SQLITE3_ASSOC);
// 	$db2 = new Order($this->container);
// 	$res2 = $db2->getClient($args['client']);
// 	$a = $res2->fetchArray(SQLITE3_ASSOC);

// 	$response->getBody()->write("<h1>Create order for" . $a['firstname'] . " " . $a['lastname']  . "</h1><hr/>");
// 	$response->getBody()->write('<form action="/orders/' . $args['client'] . '/create" method="post">');
// 	$response->getBody()->write('<label for="id">Reference: </label>');
// 	$response->getBody()->write('<input type="text" name="reference">');
// 	$response->getBody()->write('<input type="submit">');
// 	$response->getBody()->write('</form>');

// 	return $response;
// } else {
// 	$ref = $request->getParsedBody()['reference'];
// 	$db2 = new myDB();
// 	$sql = "insert into orders (reference, customer_id, vat, subtotal, total) values ('" . $ref . "', " . $args['client'] . ",0,0,0)";
// 	$db2->exec($sql);
// 	return $response->withHeader('Location', '/orders/' . $args['client']);
// };