<?php

namespace Shop\DB;

use Shop\DB\myDB;
use Shop\Model\Clients as ClientModel;

class Clients extends myDB
{
	protected $container;
	protected $clients = [];

	public function __construct($container)
	{
		$this->container = $container;
	}

	public function getClients()
	{
		$stmt = $this->container->get('db')->prepare("SELECT * FROM clients;");
		$res = $stmt->execute();
		while($result = $res->fetchArray(SQLITE3_ASSOC)) {
			$client = new ClientModel($this->container);
			$client->setId($result['id']);
			$client->setFirstname($result['firstname']);
			$client->setLastname($result['lastname']);
			$client->setCompany($result['company']);
			$client->setVatnumber($result['vatnumber']);
			$client->setStreet($result['street']);
			$client->setStreet2($result['street2']);
			$client->setZipcode($result['zipcode']);
			$client->setCity($result['city']);
			$client->setState($result['state']);
			$client->setCountry($result['country']);
			$this->clients[] = $client;
		}
		return $this->clients;
	}
}